## stylish-haskell 0.12.2.0

=== Makefile ===
ARCH=$(shell uname -m)
UNAME=$(shell uname | tr 'A-Z' 'a-z')

STYLISH_BINARY=$(HOME)/.local/bin/stylish-haskell
STYLISH_TAG?=v$(shell sed -n 's/^Version: *//p' *.cabal)
STYLISH_PACKAGE=stylish-haskell-$(STYLISH_TAG)-$(UNAME)-$(ARCH)

UPX_VERSION=3.94
UPX_NAME=upx-$(UPX_VERSION)-amd64_$(UNAME)
UPX_BINARY=$(HOME)/.local/bin/upx

ifeq ($(UNAME), darwin)
ARCHIVE=zip
ARCHIVE_CREATE=zip -r
ARCHIVE_EXTRACT=unzip
else
ARCHIVE=tar.gz
ARCHIVE_CREATE=tar czf
ARCHIVE_EXTRACT=tar xvzf
endif

ifeq ($(UNAME), darwin)
COMPRESS_BIN_DEPS=
COMPRESS_BIN=ls
else
COMPRESS_BIN_DEPS=$(UPX_BINARY)
COMPRESS_BIN=upx
endif

STACK=stack --system-ghc

# Default target.
.PHONY: build
build: $(STYLISH_BINARY)

# When we want to do a release.
.PHONY: artifact
artifact: $(STYLISH_PACKAGE).$(ARCHIVE)
	mkdir -p artifacts
	cp $(STYLISH_PACKAGE).$(ARCHIVE) artifacts/

$(STYLISH_PACKAGE).$(ARCHIVE): $(STYLISH_BINARY) $(COMPRESS_BIN_DEPS)
	mkdir -p $(STYLISH_PACKAGE)
	cp $(STYLISH_BINARY) $(STYLISH_PACKAGE)/
	$(COMPRESS_BIN) $(STYLISH_PACKAGE)/stylish-haskell
	cp README.markdown $(STYLISH_PACKAGE)/
	cp CHANGELOG $(STYLISH_PACKAGE)/
	cp LICENSE $(STYLISH_PACKAGE)/
	$(ARCHIVE_CREATE) $(STYLISH_PACKAGE).$(ARCHIVE) $(STYLISH_PACKAGE)

$(STYLISH_BINARY):
	$(STACK) build --copy-bins

# UPX is used to compress the resulting binary.  We currently don't use this on
# Mac OS.
$(UPX_BINARY):
	curl -Lo /tmp/$(UPX_NAME).tar.xz \
	    https://github.com/upx/upx/releases/download/v$(UPX_VERSION)/$(UPX_NAME).tar.xz
	cd /tmp && tar xf $(UPX_NAME).tar.xz
	mv /tmp/$(UPX_NAME)/upx $(UPX_BINARY)
	upx --version

.PHONY: test
test:
	stack build --test

## stylish-haskell 0.5.16.0

=== debian/changelog ===
stylish-haskell (0.5.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #821196)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Apr 2016 15:00:39 -0700

=== debian/control ===
Source: stylish-haskell
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 ghc,
 libghc-aeson-dev (>= 0.6),
 libghc-aeson-dev (<< 0.12),
 libghc-src-exts-dev (>= 1.17),
 libghc-src-exts-dev (<< 1.18),
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-dev (<< 2.3),
 libghc-syb-dev (>= 0.3),
 libghc-syb-dev (<< 0.7),
 libghc-yaml-dev (>= 0.7),
 libghc-yaml-dev (<< 0.9),
 libghc-cmdargs-dev (>= 0.9),
 libghc-cmdargs-dev (<< 0.11),
 libghc-strict-dev (>= 0.3),
 libghc-strict-dev (<< 0.4),
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 1.4),
 libghc-test-framework-dev (>= 0.4),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-test-framework-hunit-dev (<< 0.4),
 ruby-ronn,
Standards-Version: 3.9.8
Homepage: https://github.com/jaspervdj/stylish-haskell
Vcs-Git: https://git.spwhitton.name/stylish-haskell
Vcs-Browser: https://git.spwhitton.name/?p=stylish-haskell.git;a=summary

Package: stylish-haskell
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Suggests: haskell-mode
Description: Haskell code prettifier
 stylish-haskell prettifies Haskell code.  A design goal is not
 getting in the user's way, so it restricts itself to formatting only
 some parts of the Haskell code piped to it, such as import
 statements.

=== debian/rules ===
#!/usr/bin/make -f

# these rules originally written by Joey Hess for hothasktags package

%:
	dh $@

override_dh_auto_configure:
	ghc --make Setup
	./Setup configure \
		--datadir=/usr/share/stylish-haskell --datasubdir="" \
		--enable-tests

override_dh_auto_build:
	ronn <debian/stylish-haskell.1.ronn >debian/stylish-haskell.1
	./Setup build

override_dh_auto_clean:
	if [ -x Setup ]; then ./Setup clean; fi
	rm -f Setup Setup.o Setup.hi debian/stylish-haskell.1

override_dh_auto_test:
	./Setup test

override_dh_compress:
	# add file that dh_compress somehow misses
	dh_compress debian/stylish-haskell/usr/share/doc/stylish-haskell/README.markdown

override_dh_strip:
	# GHC cannot produce debugging symbols so the -dbgsym package
	# ends up empty, so disable generating it
	dh_strip --no-automatic-dbgsym

## stylish-haskell 0.5.17.0

=== debian/changelog ===
stylish-haskell (0.5.17.0-1) unstable; urgency=medium

  * New upstream release.
    - Dependency change: cmdargs -> optparse-applicative
  * Drop 0002-move-CHANGELOG-entry-from-README.patch
    Merged upstream.
  * Pass changelog timestamp to ronn so manpage builds reproducibly.
  * Add debian/stylish-haskell.1 to d/clean.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Jun 2016 14:56:59 +0900

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  libghc-syb-dev (<< 0.7),
  libghc-yaml-dev (>= 0.7),
  libghc-yaml-dev (<< 0.9),
- libghc-cmdargs-dev (>= 0.9),
- libghc-cmdargs-dev (<< 0.11),
+ libghc-optparse-applicative-dev (>= 0.12),
+ libghc-optparse-applicative-dev (<< 0.13),
  libghc-strict-dev (>= 0.3),
  libghc-strict-dev (<< 0.4),
  libghc-hunit-dev (>= 1.2),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 # these rules originally written by Joey Hess for hothasktags package
+
+# so that ronn builds the manual page reproducibly, get date from
+# changelog and print it in the format ronn expects
+DEB_CHANGELOG_STAMP_DATE = \
+	$(shell date --date="$$(dpkg-parsechangelog -SDate)" +%Y-%m-%d)
 
 %:
 	dh $@
@@ -12,7 +17,9 @@
 		--enable-tests
 
 override_dh_auto_build:
-	ronn <debian/stylish-haskell.1.ronn >debian/stylish-haskell.1
+	ronn --date=$(DEB_CHANGELOG_STAMP_DATE) \
+		< debian/stylish-haskell.1.ronn \
+		> debian/stylish-haskell.1
 	./Setup build
 
 override_dh_auto_clean:

## stylish-haskell 0.6.1.0

=== debian/changelog ===
stylish-haskell (0.6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to README.
  * Add new options to manpage:
    - --no-utf8
    - --version

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 30 Jul 2016 21:14:51 -0700

stylish-haskell (0.5.17.0-2) unstable; urgency=low

  * General manpage with asciidoctor instead of ronn.
    Second attempt at making it reproducible.
  * Remove non-existent -V & --version options from manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jun 2016 15:34:29 +0900

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libghc-test-framework-dev (<< 0.9),
  libghc-test-framework-hunit-dev (>= 0.2),
  libghc-test-framework-hunit-dev (<< 0.4),
- ruby-ronn,
+ asciidoctor,
 Standards-Version: 3.9.8
 Homepage: https://github.com/jaspervdj/stylish-haskell
 Vcs-Git: https://git.spwhitton.name/stylish-haskell

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 # these rules originally written by Joey Hess for hothasktags package
-
-# so that ronn builds the manual page reproducibly, get date from
-# changelog and print it in the format ronn expects
-DEB_CHANGELOG_STAMP_DATE = \
-	$(shell date --date="$$(dpkg-parsechangelog -SDate)" +%Y-%m-%d)
 
 %:
 	dh $@
@@ -17,9 +12,7 @@
 		--enable-tests
 
 override_dh_auto_build:
-	ronn --date=$(DEB_CHANGELOG_STAMP_DATE) \
-		< debian/stylish-haskell.1.ronn \
-		> debian/stylish-haskell.1
+	asciidoctor -d manpage -b manpage debian/stylish-haskell.1.adoc
 	./Setup build
 
 override_dh_auto_clean:

## stylish-haskell 0.7.1.0

=== debian/changelog ===
stylish-haskell (0.7.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #867193).
    - Bump build-deps for aeson, src-exts, optparse-applicative and hunit.
  * Drop override_dh_compress stanza.
    Policy does not actually require us to compress a file that small.
  * Update Vcs-Browser.
  * Switch to dgit-maint-merge(7) workflow.
    - Add d/source/options
    - Add d/source/patch-header
  * Bump debhelper compat to 10.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Jul 2017 08:19:33 +0100

=== debian/control ===
Source: stylish-haskell
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 10),
 ghc,
 libghc-aeson-dev (>= 0.6),
 libghc-aeson-dev (<< 1.2),
 libghc-src-exts-dev (>= 1.18),
 libghc-src-exts-dev (<< 1.20),
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-dev (<< 2.3),
 libghc-syb-dev (>= 0.3),
 libghc-syb-dev (<< 0.7),
 libghc-yaml-dev (>= 0.7),
 libghc-yaml-dev (<< 0.9),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.14),
 libghc-strict-dev (>= 0.3),
 libghc-strict-dev (<< 0.4),
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 1.6),
 libghc-test-framework-dev (>= 0.4),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-test-framework-hunit-dev (<< 0.4),
 asciidoctor,
Standards-Version: 4.0.0
Homepage: https://github.com/jaspervdj/stylish-haskell
Vcs-Git: https://git.spwhitton.name/stylish-haskell
Vcs-Browser: https://git.spwhitton.name/stylish-haskell

Package: stylish-haskell
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Suggests: haskell-mode
Description: Haskell code prettifier
 stylish-haskell prettifies Haskell code.  A design goal is not
 getting in the user's way, so it restricts itself to formatting only
 some parts of the Haskell code piped to it, such as import
 statements.

## stylish-haskell 0.8.1.0

=== debian/changelog ===
stylish-haskell (0.8.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #881821).
  * Declare compliance with Debian Policy version 4.1.1.
    - Update Priority: 'extra' -> 'optional'

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 17 Nov 2017 13:56:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,41 @@
 Source: stylish-haskell
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 10),
  ghc,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 1.2),
+ libghc-aeson-dev (<< 1.3),
+ libghc-aeson-prof (>= 0.6),
+ libghc-aeson-prof (<< 1.3),
  libghc-src-exts-dev (>= 1.18),
  libghc-src-exts-dev (<< 1.20),
+ libghc-src-exts-prof (>= 1.18),
+ libghc-src-exts-prof (<< 1.20),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
+ libghc-mtl-prof (>= 2.0),
+ libghc-mtl-prof (<< 2.3),
  libghc-syb-dev (>= 0.3),
- libghc-syb-dev (<< 0.7),
+ libghc-syb-dev (<< 0.8),
+ libghc-syb-prof (>= 0.3),
+ libghc-syb-prof (<< 0.8),
  libghc-yaml-dev (>= 0.7),
  libghc-yaml-dev (<< 0.9),
+ libghc-yaml-prof (>= 0.7),
+ libghc-yaml-prof (<< 0.9),
  libghc-optparse-applicative-dev (>= 0.12),
- libghc-optparse-applicative-dev (<< 0.14),
+ libghc-optparse-applicative-dev (<< 0.15),
  libghc-strict-dev (>= 0.3),
  libghc-strict-dev (<< 0.4),
  libghc-hunit-dev (>= 1.2),
- libghc-hunit-dev (<< 1.6),
+ libghc-hunit-dev (<< 1.7),
  libghc-test-framework-dev (>= 0.4),
  libghc-test-framework-dev (<< 0.9),
  libghc-test-framework-hunit-dev (>= 0.2),
  libghc-test-framework-hunit-dev (<< 0.4),
  asciidoctor,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/jaspervdj/stylish-haskell
 Vcs-Git: https://git.spwhitton.name/stylish-haskell
 Vcs-Browser: https://git.spwhitton.name/stylish-haskell

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 override_dh_auto_test:
 	./Setup test
 
-override_dh_compress:
-	# add file that dh_compress somehow misses
-	dh_compress debian/stylish-haskell/usr/share/doc/stylish-haskell/README.markdown
-
 override_dh_strip:
 	# GHC cannot produce debugging symbols so the -dbgsym package
 	# ends up empty, so disable generating it

## stylish-haskell 0.9.2.0

=== debian/changelog ===
stylish-haskell (0.9.2.0-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jun 2018 12:42:09 +0200

stylish-haskell (0.9.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #898524).
    - New build-deps on libghc-file-embed-{dev,prof}
  * Stop installing default config to /usr/share/stylish-haskell
    Now embedded in the executable.
    - Drop FILES section from manpage.
  * Update d/copyright:
    - Bump years
    - Add stanza for scripts/*
      (Not installed in our binary packages.)
    - Replace 'BSD3' with 'BSD-3-clause'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 May 2018 11:06:57 -0700

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,17 @@
 Build-Depends: debhelper (>= 10),
  ghc,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 1.3),
+ libghc-aeson-dev (<< 1.4),
  libghc-aeson-prof (>= 0.6),
- libghc-aeson-prof (<< 1.3),
+ libghc-aeson-prof (<< 1.4),
+ libghc-file-embed-dev (>= 0.0.10),
+ libghc-file-embed-dev (<< 0.1),
+ libghc-file-embed-prof (>= 0.0.10),
+ libghc-file-embed-prof (<< 0.1),
  libghc-src-exts-dev (>= 1.18),
- libghc-src-exts-dev (<< 1.20),
+ libghc-src-exts-dev (<< 1.21),
  libghc-src-exts-prof (>= 1.18),
- libghc-src-exts-prof (<< 1.20),
+ libghc-src-exts-prof (<< 1.21),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof (>= 2.0),

## stylish-haskell 0.9.2.1

=== debian/changelog ===
stylish-haskell (0.9.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dep bounds.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Jan 2019 09:53:02 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 10),
  ghc,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 1.4),
+ libghc-aeson-dev (<< 1.5),
  libghc-aeson-prof (>= 0.6),
- libghc-aeson-prof (<< 1.4),
+ libghc-aeson-prof (<< 1.5),
  libghc-file-embed-dev (>= 0.0.10),
  libghc-file-embed-dev (<< 0.1),
  libghc-file-embed-prof (>= 0.0.10),
@@ -24,10 +24,10 @@
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof (>= 0.3),
  libghc-syb-prof (<< 0.8),
- libghc-yaml-dev (>= 0.7),
- libghc-yaml-dev (<< 0.9),
- libghc-yaml-prof (>= 0.7),
- libghc-yaml-prof (<< 0.9),
+ libghc-yaml-dev (>= 0.8.11),
+ libghc-yaml-dev (<< 0.12),
+ libghc-yaml-prof (>= 0.8.11),
+ libghc-yaml-prof (<< 0.12),
  libghc-optparse-applicative-dev (>= 0.12),
  libghc-optparse-applicative-dev (<< 0.15),
  libghc-strict-dev (>= 0.3),

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/stylish-haskell-$1\.tar\.gz/ \
  https://github.com/jaspervdj/stylish-haskell/tags .*/v?(\d\S*)\.tar\.gz

## stylish-haskell 0.9.2.2

=== debian/changelog ===
stylish-haskell (0.9.2.2-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:45:26 +0200

stylish-haskell (0.9.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dep bounds.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Jul 2019 15:35:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  libghc-file-embed-prof (>= 0.0.10),
  libghc-file-embed-prof (<< 0.1),
  libghc-src-exts-dev (>= 1.18),
- libghc-src-exts-dev (<< 1.21),
+ libghc-src-exts-dev (<< 1.22),
  libghc-src-exts-prof (>= 1.18),
- libghc-src-exts-prof (<< 1.21),
+ libghc-src-exts-prof (<< 1.22),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof (>= 2.0),

## stylish-haskell 0.9.4.3

=== debian/changelog ===
stylish-haskell (0.9.4.3-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:05:19 +0000

stylish-haskell (0.9.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Nov 2019 20:19:27 -0700

stylish-haskell (0.9.2.2-3) unstable; urgency=medium

  * Add new changelog entry, source upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 10:31:15 +0200

stylish-haskell (0.9.2.2-2) unstable; urgency=medium

  * Update semigroup dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 10:19:47 +0200

## stylish-haskell 0.9.4.4

=== debian/changelog ===
stylish-haskell (0.9.4.4-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:21 +0000

stylish-haskell (0.9.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jan 2020 06:59:45 -0700

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,10 @@
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof (>= 2.0),
  libghc-mtl-prof (<< 2.3),
+ libghc-semigroups-dev (>= 0.18),
+ libghc-semigroups-dev (<< 0.20),
+ libghc-semigroups-prof (>= 0.18),
+ libghc-semigroups-prof (<< 0.20),
  libghc-syb-dev (>= 0.3),
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof (>= 0.3),

## stylish-haskell 0.11.0.0

=== debian/changelog ===
stylish-haskell (0.11.0.0-1build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:15:27 +0000

stylish-haskell (0.11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Updates now that stylish-haskell.1.adoc has been merged upstream:
    - add self to Files: * d/copyright stanza
    - update debian/{clean,manpages,rules}
    - drop debian/ copy of the manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 20:11:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: stylish-haskell
-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
 Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 10),
@@ -13,9 +14,9 @@
  libghc-file-embed-prof (>= 0.0.10),
  libghc-file-embed-prof (<< 0.1),
  libghc-src-exts-dev (>= 1.18),
- libghc-src-exts-dev (<< 1.22),
+ libghc-src-exts-dev (<< 1.24),
  libghc-src-exts-prof (>= 1.18),
- libghc-src-exts-prof (<< 1.22),
+ libghc-src-exts-prof (<< 1.24),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof (>= 2.0),
@@ -28,12 +29,16 @@
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof (>= 0.3),
  libghc-syb-prof (<< 0.8),
- libghc-yaml-dev (>= 0.8.11),
- libghc-yaml-dev (<< 0.12),
- libghc-yaml-prof (>= 0.8.11),
- libghc-yaml-prof (<< 0.12),
+ libghc-hsyaml-dev (>= 0.2.0),
+ libghc-hsyaml-dev (<< 0.3),
+ libghc-hsyaml-prof (>= 0.2.0),
+ libghc-hsyaml-prof (<< 0.3),
+ libghc-hsyaml-aeson-dev (>= 0.2.0),
+ libghc-hsyaml-aeson-dev (<< 0.3),
+ libghc-hsyaml-aeson-prof (>= 0.2.0),
+ libghc-hsyaml-aeson-prof (<< 0.3),
  libghc-optparse-applicative-dev (>= 0.12),
- libghc-optparse-applicative-dev (<< 0.15),
+ libghc-optparse-applicative-dev (<< 0.16),
  libghc-strict-dev (>= 0.3),
  libghc-strict-dev (<< 0.4),
  libghc-hunit-dev (>= 1.2),

## stylish-haskell 0.12.2.0

=== debian/changelog ===
stylish-haskell (0.12.2.0-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:53:21 +0200

stylish-haskell (0.12.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dep src-exts -> ghc-lib-parser.
  * Update other build-dep bounds.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 Jan 2021 11:24:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: stylish-haskell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Sean Whitton <spwhitton@spwhitton.name>
 Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 10),
  ghc,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 1.5),
+ libghc-aeson-dev (<< 1.6),
  libghc-aeson-prof (>= 0.6),
  libghc-aeson-prof (<< 1.5),
  libghc-file-embed-dev (>= 0.0.10),
  libghc-file-embed-dev (<< 0.1),
  libghc-file-embed-prof (>= 0.0.10),
  libghc-file-embed-prof (<< 0.1),
- libghc-src-exts-dev (>= 1.18),
- libghc-src-exts-dev (<< 1.24),
- libghc-src-exts-prof (>= 1.18),
- libghc-src-exts-prof (<< 1.24),
+ libghc-ghc-lib-parser-dev (>= 8.10),
+ libghc-ghc-lib-parser-dev (<< 8.12),
+ libghc-ghc-lib-parser-prof (>= 8.10),
+ libghc-ghc-lib-parser-prof (<< 8.12),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof (>= 2.0),
@@ -40,7 +39,7 @@
  libghc-optparse-applicative-dev (>= 0.12),
  libghc-optparse-applicative-dev (<< 0.16),
  libghc-strict-dev (>= 0.3),
- libghc-strict-dev (<< 0.4),
+ libghc-strict-dev (<< 0.5),
  libghc-hunit-dev (>= 1.2),
  libghc-hunit-dev (<< 1.7),
  libghc-test-framework-dev (>= 0.4),

## stylish-haskell 0.14.5.0

=== debian/changelog ===
stylish-haskell (0.14.5.0-3) unstable; urgency=medium

  * Remove myself from Uploaders.
  * Add Vcs-Browser, Vcs-Git fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Apr 2025 13:08:26 +0800

stylish-haskell (0.14.5.0-2) unstable; urgency=medium

  * Source only upload.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 29 Jan 2025 09:53:11 +0100

stylish-haskell (0.14.5.0-1) unstable; urgency=medium

  * New upstream 0.14.5.0
  * d/control: moved into the haskell team umbrella.
  * d/control: Added myself has Uploaders.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 Jan 2025 10:09:35 +0100

=== debian/control ===
Source: stylish-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
Priority: optional
Section: haskell
Build-Depends:
 debhelper-compat (= 13),
 asciidoctor,
 ghc,
 ghc-prof,
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 libghc-aeson-dev (<< 2.2),
 libghc-aeson-dev (>= 0.6),
 libghc-aeson-prof (<< 2.2),
 libghc-aeson-prof (>= 0.6),
 libghc-file-embed-dev (<< 0.1),
 libghc-file-embed-dev (>= 0.0.10),
 libghc-file-embed-prof (<< 0.1),
 libghc-file-embed-prof (>= 0.0.10),
 libghc-ghc-lib-parser-dev (<< 9.7),
 libghc-ghc-lib-parser-dev (>= 9.6),
 libghc-ghc-lib-parser-ex-dev (<< 9.7),
 libghc-ghc-lib-parser-ex-dev (>= 9.6),
 libghc-ghc-lib-parser-ex-prof (<< 9.7),
 libghc-ghc-lib-parser-ex-prof (>= 9.6),
 libghc-ghc-lib-parser-prof (<< 9.7),
 libghc-ghc-lib-parser-prof (>= 9.6),
 libghc-hsyaml-aeson-dev (<< 0.3),
 libghc-hsyaml-aeson-dev (>= 0.2.0),
 libghc-hsyaml-aeson-prof (<< 0.3),
 libghc-hsyaml-aeson-prof (>= 0.2.0),
 libghc-hsyaml-dev (<< 0.3),
 libghc-hsyaml-dev (>= 0.2.0),
 libghc-hsyaml-prof (<< 0.3),
 libghc-hsyaml-prof (>= 0.2.0),
 libghc-hunit-dev (<< 1.7),
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-prof (<< 1.7),
 libghc-hunit-prof (>= 1.2),
 libghc-optparse-applicative-dev (<< 0.19),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-prof (<< 0.19),
 libghc-optparse-applicative-prof (>= 0.12),
 libghc-random-dev (>= 1.1),
 libghc-random-prof (>= 1.1),
 libghc-regex-tdfa-dev (<< 1.4),
 libghc-regex-tdfa-dev (>= 1.3),
 libghc-regex-tdfa-prof (<< 1.4),
 libghc-regex-tdfa-prof (>= 1.3),
 libghc-strict-dev (<< 0.6),
 libghc-strict-dev (>= 0.3),
 libghc-strict-prof (<< 0.6),
 libghc-strict-prof (>= 0.3),
 libghc-syb-dev (<< 0.8),
 libghc-syb-dev (>= 0.3),
 libghc-syb-prof (<< 0.8),
 libghc-syb-prof (>= 0.3),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-dev (>= 0.4),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-test-framework-hunit-prof (<< 0.4),
 libghc-test-framework-hunit-prof (>= 0.2),
 libghc-test-framework-prof (<< 0.9),
 libghc-test-framework-prof (>= 0.4),
Build-Depends-Indep:
 ghc-doc,
 libghc-aeson-doc,
 libghc-file-embed-doc,
 libghc-ghc-lib-parser-doc,
 libghc-ghc-lib-parser-ex-doc,
 libghc-hsyaml-aeson-doc,
 libghc-hsyaml-doc,
 libghc-regex-tdfa-doc,
 libghc-syb-doc,
Standards-Version: 4.1.1
Homepage: https://github.com/haskell/stylish-haskell
Vcs-Browser: https://salsa.debian.org/haskell-team/stylish-haskell
Vcs-Git: https://salsa.debian.org/haskell-team/stylish-haskell.git

Package: stylish-haskell
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 haskell-mode,
Description: Haskell code prettifier
 stylish-haskell prettifies Haskell code.  A design goal is not
 getting in the user's way, so it restricts itself to formatting only
 some parts of the Haskell code piped to it, such as import
 statements.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		--enable-tests
 
 override_dh_auto_build:
-	asciidoctor -d manpage -b manpage debian/stylish-haskell.1.adoc
+	asciidoctor -d manpage -b manpage doc/stylish-haskell.1.adoc
 	./Setup build
 
 override_dh_auto_clean:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/stylish-haskell-$1\.tar\.gz/ https://github.com/jaspervdj/stylish-haskell/tags .*/v?(\d\S*)\.tar\.gz

## stylish-haskell 0.15.1.0

=== debian/changelog ===
stylish-haskell (0.15.1.0-1) unstable; urgency=medium

  * Migrate to DHG monorepo
  * New upstream release (Closes: #1128494)

 -- Scott Talbert <swt@techie.net>  Sat, 21 Feb 2026 09:32:57 -0500

=== debian/control ===
Source: stylish-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
Priority: optional
Section: haskell
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-haskell,
 asciidoctor,
 ghc (>= 9.10),
 ghc-prof,
 libghc-aeson-dev (>= 0.6),
 libghc-aeson-dev (<< 2.3),
 libghc-aeson-prof,
 libghc-file-embed-dev (>= 0.0.10),
 libghc-file-embed-dev (<< 0.1),
 libghc-file-embed-prof,
 libghc-ghc-lib-parser-dev (>= 9.12),
 libghc-ghc-lib-parser-dev (<< 9.13),
 libghc-ghc-lib-parser-prof,
 libghc-ghc-lib-parser-ex-dev (>= 9.12),
 libghc-ghc-lib-parser-ex-dev (<< 9.13),
 libghc-ghc-lib-parser-ex-prof,
 libghc-hsyaml-dev (>= 0.2.0),
 libghc-hsyaml-dev (<< 0.3),
 libghc-hsyaml-prof,
 libghc-hsyaml-aeson-dev (>= 0.2.0),
 libghc-hsyaml-aeson-dev (<< 0.3),
 libghc-hsyaml-aeson-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 1.7),
 libghc-hunit-prof,
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.19),
 libghc-optparse-applicative-prof,
 libghc-random-dev (>= 1.1),
 libghc-random-prof,
 libghc-regex-tdfa-dev (>= 1.3),
 libghc-regex-tdfa-dev (<< 1.4),
 libghc-regex-tdfa-prof,
 libghc-strict-dev (>= 0.3),
 libghc-strict-dev (<< 0.6),
 libghc-strict-prof,
 libghc-syb-dev (>= 0.3),
 libghc-syb-dev (<< 0.8),
 libghc-syb-prof,
 libghc-test-framework-dev (>= 0.4),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-prof,
 libghc-test-framework-hunit-dev (>= 0.2),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-test-framework-hunit-prof,
Standards-Version: 4.7.3
Homepage: https://github.com/haskell/stylish-haskell
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/stylish-haskell
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/stylish-haskell]

Package: stylish-haskell
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 haskell-mode,
Description: Haskell code prettifier
 stylish-haskell prettifies Haskell code.  A design goal is not
 getting in the user's way, so it restricts itself to formatting only
 some parts of the Haskell code piped to it, such as import
 statements.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_ENABLE_TESTS = yes
export DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/stylish-haskell --datasubdir=""

%:
	dh $@

execute_after_dh_auto_build:
	asciidoctor -d manpage -b manpage doc/stylish-haskell.1.adoc

=== debian/watch ===
version=4
https://hackage.haskell.org/package/stylish-haskell/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
